#declare r_floor=
  texture {
    gradient x
    warp { repeat 2.75*x offset 100*y offset 2*z}
    texture_map {
     [0.0 T_Wood8 scale 1 rotate <89.7,0,0.01> translate <0,0,-15>]
    }
  }

#declare r_table=
  #if (use_textures=0)
    texture {
      pigment { color rgb <157,131,86>/255 }
    }
  #else
        texture {
                T_Wood15
                finish {ambient rgb <0.2, 0.2, 0.2>
                        diffuse 0.6
                        brilliance 2
                        specular 0.9
                        roughness 0.02                        
                        reflection {0.3}
                }
                scale 5
                rotate <90.1,0.1,0.1>
        }
  #end

#declare r_window=
  texture {
    T_Wood15
    scale 5
    rotate <90.1,0.1,0.1>
  }
        
#declare r_wall=
 texture {
   pigment { color rgb <157,189,136>/255 }
  #if (use_textures=1)
   normal { granite bump_size 0.01 scale 4}
  #end
 }

#declare r_ceiling=
 texture {
   pigment { color rgb 1 }
 }

#declare win_x=36;
#declare win_y=60;
#declare win_center=<-42,-24,60>;

#declare obj_window=
 object {
  union {
    difference {
      box { <-win_x/2,-win_y/2,-6> <win_x/2,win_y/2,-4> }
      box { <-win_x/2+2,-win_y/2+2,-7> <win_x/2-2,win_y/2-2,-3> }
    } //window frame
    difference {
      box { <-win_x/2,-win_y/2,-6> <win_x/2, win_y/2,0> }
      box { <-win_x/2+1,-win_y/2+1,-7> <win_x/2-1,win_y/2-1,1> }
    } //window casing
    difference {
      box { <-win_x/2-3.5,-win_y/2-3.5,0> <win_x/2+3.5,win_y/2+3.5,0.75> }
      box { <-win_x/2+0.5,-win_y/2+0.5,-1> <win_x/2-0.5,win_y/2-0.5,2> }
    } //window trim
  }
 }

#declare obj_wincutout=
 object {
   box { <-win_x/2,-win_y/2,-12> <win_x/2,win_y/2,12>}
   rotate <90,0,90>
   translate win_center
 }
 
object {
  difference {
    box { <-4,0.5,0> <6,-15.5,8> scale 12 }
    box { <-3.5,0,-1> <5.5,-15,9> scale 12 }
    object {obj_wincutout}
  }
  texture {r_wall}
}


object {
  obj_window
  texture {r_window}
  rotate <90,0,90>
  translate win_center
}

object {
  union {
    box { <-0.25,-.375,0> <0.25,0.375,60> translate <-45,-16,30> }
    box { <-0.25,-.375,0> <0.25,0.375,60> translate <-45,-26,30> }
    box { <-0.25,-.375,0> <0.25,0.375,60> translate <-45,-36,30> }
    box { <-0.25,-.375,0> <0.25,0.375,36> rotate <90,0,0> translate <-45,-6,40> }
    box { <-0.25,-.375,0> <0.25,0.375,36> rotate <90,0,0> translate <-45,-6,50> }
    box { <-0.25,-.375,0> <0.25,0.375,36> rotate <90,0,0> translate <-45,-6,60> }
    box { <-0.25,-.375,0> <0.25,0.375,36> rotate <90,0,0> translate <-45,-6,70> }
  translate <-2,0,0>
  }
  texture {r_window}
}  //muntins

object {
  box { <-3.5,0,-0.5> <5.5,-15,0> scale 12 }
  texture {r_floor}
}

object {
  box { <-3.5,0,8> <5.5,-15,8.5> scale 12 }
  texture {r_ceiling}
}

object { Round_Box_Union(<-30,-24,28.5>, <30,-0.25,30>, .125) texture {r_table} }

#if (use_painting=1)
  object {
    union {
      object {
        difference {
          Round_Box_Union(<-16.5,-16.5,0>, <16.5,16.5,1.5>, 0.25)
          box { <-15,-15,-1> <15,15,2> }
        }
        texture {
          pigment {
            color rgb 0.05
          }
          finish {
            specular 0.5
            roughness 1/15
          }
        }
      }
      object {
        box { <-15,-15,0> <15,15,1.25> }
        texture {
          pigment {
            image_map { jpeg "MWEllison - Painting of Pines.jpg" }
          }
          finish {
            ambient 0
          }
          translate <-0.5,-0.5,0>
          scale 30
        }
      }
    }
    rotate <90,0,0>
    translate <12,0.1,60>
  }
#end